1 Reply Latest reply: Nov 14, 2012 10:26 AM by varjak paw
carsofi Level 1 (0 points)

i dont know how to deinstall itunes ...i dont have the iconbelow so i cannot drag it and i cant find it...i can only find itunes 9.2  but doesnt let me open it because it says that i have a newer version which i cannot open either because my computer is 10.4 and i need an older version...thats why i downloaded 9.2 and now it doesn't let me because somewghere in the computer theres a newer one

please help


iMac, mac os x
  • varjak paw Level 10 (169,822 points)

    This is not a QuickTime issue so this was not the best forum in which to take up this question, but if you have only Mac OS X 10.4.x on your computer, you cannot install any version of iTunes later than 9.2.1, which you can download here:

     

    http://support.apple.com/kb/DL1056

     

    Note that you will need to have updated your iMac to Mac OS X 10.4.11.

     

    If you need a newer version of iTunes, you will need to upgrade your system to at least Mac OS X 10.5.8 which would allow you to install iTunes 10.6.3. If you have a new iPhone 5 or iPad that requires iTunes 10.7, you will need Mac OS X 10.6. Neither Mac OS X 10.5 nor 10.6 are a free upgrade.

     

    Regards.